Qt 5.11 | Qt 3D | C++ Classes | QTexturedMetalRoughMaterial

Qt 5.11.3 Reference Documentation

# QTexturedMetalRoughMaterial Class

(Qt3DExtras::QTexturedMetalRoughMaterial)

This class is deprecated; use QMetalRoughMaterial instead. More...

Header: | #include <QTexturedMetalRoughMaterial>
qmake: | QT += 3dextras
Since: | Qt 5.9
Inherits: | Qt3DExtras::QMetalRoughMaterial

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

- List of all members, including inherited members

## Properties

- ambientOcclusion : QVariant
- normal : QVariant

- 6 properties inherited from Qt3DExtras::QMetalRoughMaterial
- 1 property inherited from Qt3DRender::QMaterial
- 1 property inherited from Qt3DCore::QComponent
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QTexturedMetalRoughMaterial(Qt3DCore::QNode *parent = nullptr)

- 6 public functions inherited from Qt3DExtras::QMetalRoughMaterial
- 4 public functions inherited from Qt3DRender::QMaterial
- 2 public functions inherited from Qt3DCore::QComponent
- 13 public functions inherited from Qt3DCore::QNode

## Signals

void | ambientOcclusionChanged(const QVariant &ambientOcclusion)
void | normalChanged(const QVariant &normal)

- 6 signals inherited from Qt3DExtras::QMetalRoughMaterial
- 1 signal inherited from Qt3DRender::QMaterial
- 3 signals inherited from Qt3DCore::QComponent
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 6 public slots inherited from Qt3DExtras::QMetalRoughMaterial
- 1 public slot inherited from Qt3DRender::QMaterial
- 1 public slot inherited from Qt3DCore::QComponent
- 3 public slots inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

This class is deprecated; use QMetalRoughMaterial instead.

## Property Documentation

### ambientOcclusion : QVariant

Access functions:

QVariant | ambientOcclusion() const
void | setAmbientOcclusion(const QVariant &ambientOcclusion)

Notifier signal:

void | ambientOcclusionChanged(const QVariant &ambientOcclusion)

### normal : QVariant

Access functions:

QVariant | normal() const
void | setNormal(const QVariant &normal)

Notifier signal:

void | normalChanged(const QVariant &normal)

## Member Function Documentation

### QTexturedMetalRoughMaterial::QTexturedMetalRoughMaterial(Qt3DCore::QNode *parent = nullptr)

Constructs a new QTexturedMetalRoughMaterial instance with parent object parent.